/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2021
 * @WebSite     : https://www.shiros.fr
 *
 * @Author      : Alexandre Caillot
 *
 * @File        : MyComponent.css
 * @Created_at  : 06/02/2021
 * @Update_at   : 06/02/2021
 * ----------------------------------------------------------------
 */

.my-component {
    display: flex;

    flex: 1 1 auto;
    flex-direction: column;

    color: var(--template-text-color);
    background: var(--template-background-color);

    transition: all .2s ease-in-out;
}

/*
# -------------------------------
#   Hover / Active
# -------------------------------
*/

/* -- Default -- */
.my-component:hover {
    box-shadow: 0 10px 15px 0 rgba(0, 0, 0, .2), 0 5px 20px 0 rgba(0, 0, 0, .19);
}
